| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11DeviceResource Class Referenceabstract

Represents a Direct3D rendering resource. More...

`#include <OgreD3D11DeviceResource.h>`

Inheritance diagram for Ogre::D3D11DeviceResource:
[legend]

## Public Member Functions
virtual void | notifyDeviceLost (D3D11Device *device)=0
virtual void | notifyDeviceRestored (D3D11Device *device)=0

## Detailed Description

Represents a Direct3D rendering resource.

Provide unified interface to handle various device states. This class is intended to be used as protected base.

## Member Function Documentation

## ◆ notifyDeviceLost()

virtual void Ogre::D3D11DeviceResource::notifyDeviceLost | ( | D3D11Device * | device | ) |
| pure virtual

## ◆ notifyDeviceRestored()

virtual void Ogre::D3D11DeviceResource::notifyDeviceRestored | ( | D3D11Device * | device | ) |
| pure virtual

The documentation for this class was generated from the following file:

- OgreD3D11DeviceResource.h